Bug 40233 - [Qt] Initial WebKit2 implementation
Summary: [Qt] Initial WebKit2 implementation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P3 Enhancement
Assignee: Nobody
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks:
 
Reported: 2010-06-07 07:39 PDT by Antti Koivisto
Modified: 2010-07-09 08:39 PDT (History)
14 users (show)

See Also:


Attachments
initial patch (78.31 KB, patch)
2010-06-07 07:42 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
better mmap use, other fixes (79.61 KB, patch)
2010-06-07 09:36 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
RunLoop (6.43 KB, patch)
2010-07-01 05:32 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
WorkQueue (5.78 KB, patch)
2010-07-01 06:05 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
EventFactory (11.44 KB, patch)
2010-07-01 06:06 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
Patch (EventFactory) for landing (11.47 KB, patch)
2010-07-01 06:30 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
Initial Qt API for WK2 (11.47 KB, patch)
2010-07-01 06:35 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
Initial Qt API for WK2 (11.47 KB, patch)
2010-07-01 06:36 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
Connection (8.48 KB, patch)
2010-07-01 06:39 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
Initial Qt API for WK2 (32.04 KB, patch)
2010-07-01 06:45 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
linux build fixes (2.55 KB, patch)
2010-07-01 07:14 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
Initial Qt API for WK2 (31.81 KB, patch)
2010-07-01 07:18 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
Initial Qt API for WK2 (w/o special stuff) (30.61 KB, patch)
2010-07-01 07:35 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
Export symbols on Linux with GCC (2.03 KB, patch)
2010-07-01 07:48 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
(r62287 - p=kenneth, r=antti) Initial Qt API for WK2 for landing (30.41 KB, patch)
2010-07-01 08:11 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
UpdateChunk (8.54 KB, patch)
2010-07-01 08:18 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
Default client impl. (10.84 KB, patch)
2010-07-01 08:31 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
(r62295 - p=kenneth, r=antti) Default client impl. for landing (10.73 KB, patch)
2010-07-01 08:50 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
Export symbols on Linux with GCC (2.68 KB, patch)
2010-07-01 11:07 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
(r62297 - p=kenneth, rs=weinig) Patch 'Export symbols on Linux with GCC' for landing (2.55 KB, patch)
2010-07-01 11:17 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
ChunkedUpdateDrawingArea + Proxy (7.51 KB, patch)
2010-07-05 04:30 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
ChunkedUpdateDrawingArea + Proxy (r62481 + 62483) (7.48 KB, patch)
2010-07-05 05:15 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
Qt process launcher (6.23 KB, patch)
2010-07-05 06:09 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
Qt process launcher for landing (6.29 KB, patch)
2010-07-05 06:21 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
Qt C API integration (6.29 KB, patch)
2010-07-05 06:32 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
Qt C API integration (6.29 KB, patch)
2010-07-05 06:35 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
Qt C API integration (8.15 KB, patch)
2010-07-05 06:38 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
Qt C API integration - for landing (8.21 KB, patch)
2010-07-05 06:52 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
WebErrors (5.99 KB, patch)
2010-07-05 07:13 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
Add stubs (6.88 KB, patch)
2010-07-05 07:35 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
WebPageQt (r62639) (11.03 KB, patch)
2010-07-06 04:16 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
Add Qt section to the prefix header (1.01 KB, patch)
2010-07-07 03:13 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
Export some event conversion functions needed for WebKit2 (1.98 KB, patch)
2010-07-07 05:11 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
MiniBrowser (10.88 KB, patch)
2010-07-07 05:37 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
a bunch of minor build fixes (4.10 KB, patch)
2010-07-08 06:23 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
MiniBrowser patch for landing (11.78 KB, patch)
2010-07-08 13:59 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antti Koivisto 2010-06-07 07:39:38 PDT
Basic implementation of WebKit2 for Qt
Comment 1 Antti Koivisto 2010-06-07 07:42:24 PDT
Created attachment 58029 [details]
initial patch

Loads and renders pages. No real Qt API, requires hitting C API to use.
Comment 2 Antti Koivisto 2010-06-07 09:36:37 PDT
Created attachment 58037 [details]
better mmap use, other fixes

Reuse mapped regions in UpdateChunk so we don't end up generating disk io all the time.
Comment 3 Antti Koivisto 2010-07-01 05:32:48 PDT
Created attachment 60226 [details]
RunLoop

not build yet
Comment 4 WebKit Review Bot 2010-07-01 05:47:30 PDT
http://trac.webkit.org/changeset/62253 might have broken Qt Linux Release minimal, Qt Linux ARMv5 Release, and Qt Linux ARMv7 Release
Comment 5 Antti Koivisto 2010-07-01 05:52:16 PDT
http://trac.webkit.org/changeset/62253
http://trac.webkit.org/changeset/62254 (for reverting some extra files)
Comment 6 Antti Koivisto 2010-07-01 06:05:04 PDT
Created attachment 60231 [details]
WorkQueue
Comment 7 Kenneth Rohde Christiansen 2010-07-01 06:06:35 PDT
Created attachment 60233 [details]
EventFactory
Comment 8 WebKit Review Bot 2010-07-01 06:07:33 PDT
Attachment 60231 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
WebKit2/Platform/qt/WorkQueueQt.cpp:27:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/Platform/qt/WorkQueueQt.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/Platform/qt/WorkQueueQt.cpp:35:  This { should be at the end of the previous line  [whitespace/braces] [4]
Total errors found: 3 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 WebKit Review Bot 2010-07-01 06:08:08 PDT
Attachment 60233 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
WebKit2/Shared/qt/WebEventFactory.cpp:27:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/Shared/qt/WebEventFactory.cpp:30:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/Shared/qt/WebEventFactory.cpp:42:  An else if statement should be written as an if statement when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
WebKit2/Shared/qt/WebEventFactory.cpp:54:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
WebKit2/Shared/qt/WebEventFactory.cpp:154:  Extra space between int and nativeVirtualKeyCode  [whitespace/declaration] [3]
Total errors found: 5 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 10 Antti Koivisto 2010-07-01 06:13:52 PDT
Comment on attachment 60233 [details]
EventFactory

r=me for WebEventFactory

qt/WebEventFactoryQt.cpp might be a better name for platform specific file (even though naming for other platforms is inconsistent)
Comment 11 Antti Koivisto 2010-07-01 06:19:19 PDT
WorkQueue: http://trac.webkit.org/changeset/62256
Comment 12 Kenneth Rohde Christiansen 2010-07-01 06:30:31 PDT
Created attachment 60234 [details]
Patch (EventFactory) for landing
Comment 13 Kenneth Rohde Christiansen 2010-07-01 06:35:25 PDT
Created attachment 60235 [details]
Initial Qt API for WK2
Comment 14 Kenneth Rohde Christiansen 2010-07-01 06:36:01 PDT
Comment on attachment 60235 [details]
Initial Qt API for WK2

wrong file
Comment 15 Kenneth Rohde Christiansen 2010-07-01 06:36:26 PDT
Created attachment 60236 [details]
Initial Qt API for WK2
Comment 16 Antti Koivisto 2010-07-01 06:39:42 PDT
Created attachment 60238 [details]
Connection
Comment 17 Kenneth Rohde Christiansen 2010-07-01 06:45:01 PDT
Created attachment 60239 [details]
Initial Qt API for WK2
Comment 18 WebKit Review Bot 2010-07-01 06:46:17 PDT
Attachment 60239 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
Last 3072 characters of output:
e: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkgraphicswidget.cpp:24:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkgraphicswidget.cpp:30:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkgraphicswidget.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkgraphicswidget.cpp:32:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkgraphicswidget.cpp:33:  wtf includes should be <wtf/file.h> instead of "wtf/file.h".  [build/include] [4]
WebKit2/UIProcess/API/qt/qwkgraphicswidget.cpp:48:  This { should be at the end of the previous line  [whitespace/braces] [4]
WebKit2/UIProcess/API/qt/qwkgraphicswidget.cpp:52:  _q_scaleChanged is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
WebKit2/UIProcess/API/qt/qwkgraphicswidget.cpp:271:  QWKGraphicsWidgetPrivate::_q_scaleChanged is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
WebKit2/UIProcess/API/qt/qwkpage.cpp:21:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage.cpp:24:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage.cpp:27:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage.cpp:28:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage.cpp:137:  Declaration has space between type name and * in QAction *a  [whitespace/declaration] [3]
WebKit2/UIProcess/API/qt/qwkpage.cpp:178:  QWKPagePrivate::_q_webActionTriggered is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
WebKit2/UIProcess/API/qt/qwkpage.cpp:180:  Declaration has space between type name and * in QAction *a  [whitespace/declaration] [3]
WebKit2/UIProcess/API/qt/qwkpage.cpp:338:  Declaration has space between type name and * in QAction *a  [whitespace/declaration] [3]
WebKit2/UIProcess/API/qt/qwkpage.h:1:  #ifndef header guard has wrong style, please use: qwkpage_h  [build/header_guard] [5]
WebKit2/UIProcess/API/qt/qwkpage_p.h:26:  wtf includes should be <wtf/file.h> instead of "wtf/file.h".  [build/include] [4]
WebKit2/UIProcess/API/qt/qwkpage_p.h:26:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage_p.h:27:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage_p.h:28:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage_p.h:61:  _q_webActionTriggered is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Total errors found: 28 in 7 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 19 Antti Koivisto 2010-07-01 06:52:53 PDT
Connection: http://trac.webkit.org/changeset/62257
Comment 20 Antti Koivisto 2010-07-01 07:14:48 PDT
Created attachment 60243 [details]
linux build fixes
Comment 21 Kenneth Rohde Christiansen 2010-07-01 07:18:07 PDT
Created attachment 60244 [details]
Initial Qt API for WK2

Renamed the class and sorted the files properly, it will still complain because of missing config.h etc
Comment 22 WebKit Review Bot 2010-07-01 07:20:02 PDT
Attachment 60244 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
WebKit2/UIProcess/API/qt/qwkpage.cpp:21:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage.cpp:24:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage.cpp:27:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage.cpp:176:  QWKPagePrivate::_q_webActionTriggered is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
WebKit2/UIProcess/API/qt/qgraphicswkview.h:7:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qgraphicswkview.h:8:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qgraphicswkview.cpp:21:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qgraphicswkview.cpp:48:  _q_scaleChanged is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
WebKit2/UIProcess/API/qt/qgraphicswkview.cpp:267:  QGraphicsWKViewPrivate::_q_scaleChanged is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
WebKit2/UIProcess/API/qt/qwkpage_p.h:27:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage_p.h:30:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage_p.h:61:  _q_webActionTriggered is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Total errors found: 12 in 7 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 23 Kenneth Rohde Christiansen 2010-07-01 07:35:34 PDT
Created attachment 60246 [details]
Initial Qt API for WK2 (w/o special stuff)
Comment 24 WebKit Review Bot 2010-07-01 07:37:39 PDT
Attachment 60246 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
WebKit2/UIProcess/API/qt/qwkpage.cpp:21:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage.cpp:24:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage.cpp:27:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage.cpp:176:  QWKPagePrivate::_q_webActionTriggered is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
WebKit2/UIProcess/API/qt/qgraphicswkview.h:7:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qgraphicswkview.h:8:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qgraphicswkview.cpp:21:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage_p.h:27:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage_p.h:30:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage_p.h:61:  _q_webActionTriggered is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Total errors found: 10 in 7 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 25 Antti Koivisto 2010-07-01 07:38:38 PDT
linux build fixes: http://trac.webkit.org/changeset/62260
Comment 26 Kenneth Rohde Christiansen 2010-07-01 07:48:41 PDT
Created attachment 60248 [details]
Export symbols on Linux with GCC
Comment 27 Antti Koivisto 2010-07-01 07:53:02 PDT
r=me for the Qt API classed (QGraphicsWKView and QWKPage). Note that this is still work in progress and not meant to be the final state of the API.
Comment 28 Kenneth Rohde Christiansen 2010-07-01 08:11:34 PDT
Created attachment 60250 [details]
(r62287 - p=kenneth, r=antti) Initial Qt API for WK2 for landing
Comment 29 Antti Koivisto 2010-07-01 08:18:39 PDT
Created attachment 60251 [details]
UpdateChunk
Comment 30 WebKit Review Bot 2010-07-01 08:19:25 PDT
Attachment 60251 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
WebKit2/Shared/qt/UpdateChunk.cpp:27:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/Shared/qt/UpdateChunk.h:32:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/Shared/qt/UpdateChunk.h:35:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Total errors found: 3 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 31 Antti Koivisto 2010-07-01 08:27:40 PDT
UpdateChunk: http://trac.webkit.org/changeset/62261
Comment 32 Kenneth Rohde Christiansen 2010-07-01 08:31:29 PDT
Created attachment 60252 [details]
Default client impl.
Comment 33 Antti Koivisto 2010-07-01 08:46:30 PDT
Comment on attachment 60252 [details]
Default client impl.

r=me, with discussed changes.
Comment 34 Kenneth Rohde Christiansen 2010-07-01 08:50:58 PDT
Created attachment 60255 [details]
(r62295 - p=kenneth, r=antti) Default client impl. for landing
Comment 35 WebKit Commit Bot 2010-07-01 09:04:58 PDT
Comment on attachment 60234 [details]
Patch (EventFactory) for landing

Clearing flags on attachment: 60234

Committed r62263: <http://trac.webkit.org/changeset/62263>
Comment 36 WebKit Commit Bot 2010-07-01 09:17:02 PDT
Comment on attachment 60248 [details]
Export symbols on Linux with GCC

Clearing flags on attachment: 60248

Committed r62267: <http://trac.webkit.org/changeset/62267>
Comment 37 WebKit Commit Bot 2010-07-01 09:17:10 PDT
All reviewed patches have been landed.  Closing bug.
Comment 38 Kenneth Rohde Christiansen 2010-07-01 11:07:13 PDT
Created attachment 60264 [details]
Export symbols on Linux with GCC
Comment 39 Kenneth Rohde Christiansen 2010-07-01 11:17:04 PDT
Created attachment 60266 [details]
(r62297 - p=kenneth, rs=weinig) Patch 'Export symbols on Linux with GCC' for landing
Comment 40 Kenneth Rohde Christiansen 2010-07-01 11:36:40 PDT
We still have pending stuff
Comment 41 Antonio Gomes 2010-07-01 12:47:59 PDT
Comment on attachment 60250 [details]
(r62287 - p=kenneth, r=antti) Initial Qt API for WK2 for landing

Landed in http://trac.webkit.org/changeset/62287
Comment 42 Antonio Gomes 2010-07-01 13:45:55 PDT
Comment on attachment 60255 [details]
(r62295 - p=kenneth, r=antti) Default client impl. for landing

Landed in http://trac.webkit.org/changeset/62295
Comment 43 Antonio Gomes 2010-07-01 13:54:25 PDT
Comment on attachment 60266 [details]
(r62297 - p=kenneth, rs=weinig) Patch 'Export symbols on Linux with GCC' for landing

Landed in http://trac.webkit.org/changeset/62297
Comment 44 Eric Seidel (no email) 2010-07-02 03:16:17 PDT
Comment on attachment 60233 [details]
EventFactory

Cleared Antti Koivisto's review+ from obsolete attachment 60233 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 45 Eric Seidel (no email) 2010-07-02 03:16:23 PDT
Comment on attachment 60246 [details]
Initial Qt API for WK2 (w/o special stuff)

Cleared Antti Koivisto's review+ from obsolete attachment 60246 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 46 Eric Seidel (no email) 2010-07-02 03:16:28 PDT
Comment on attachment 60252 [details]
Default client impl.

Cleared Antti Koivisto's review+ from obsolete attachment 60252 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 47 Antti Koivisto 2010-07-05 04:30:16 PDT
Created attachment 60512 [details]
ChunkedUpdateDrawingArea + Proxy
Comment 48 WebKit Review Bot 2010-07-05 04:32:26 PDT
Attachment 60512 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
WebKit2/UIProcess/qt/ChunkedUpdateDrawingAreaProxyQt.cpp:27:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/UIProcess/qt/ChunkedUpdateDrawingAreaProxyQt.cpp:64:  Missing space after ,  [whitespace/comma] [3]
WebKit2/WebProcess/WebPage/qt/ChunkedUpdateDrawingAreaQt.cpp:27:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/WebProcess/WebPage/qt/ChunkedUpdateDrawingAreaQt.cpp:39:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Total errors found: 4 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 49 Antti Koivisto 2010-07-05 05:15:09 PDT
Created attachment 60516 [details]
ChunkedUpdateDrawingArea + Proxy (r62481 + 62483)

make the stylebot happier
Comment 50 WebKit Review Bot 2010-07-05 05:16:46 PDT
Attachment 60516 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
WebKit2/UIProcess/qt/ChunkedUpdateDrawingAreaProxyQt.cpp:27:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/WebProcess/WebPage/qt/ChunkedUpdateDrawingAreaQt.cpp:27:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
Total errors found: 2 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 51 WebKit Review Bot 2010-07-05 05:31:22 PDT
http://trac.webkit.org/changeset/62481 might have broken Qt Linux Release minimal, Qt Linux ARMv5 Release, and Qt Linux ARMv7 Release
Comment 52 Antti Koivisto 2010-07-05 05:37:14 PDT
ChunkedUpdateDrawingArea + Proxy: 
http://trac.webkit.org/changeset/62481
http://trac.webkit.org/changeset/62483 (reverting project file change)
Comment 53 Kenneth Rohde Christiansen 2010-07-05 06:09:14 PDT
Created attachment 60520 [details]
Qt process launcher
Comment 54 WebKit Review Bot 2010-07-05 06:12:51 PDT
Attachment 60520 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
WebKit2/UIProcess/Launcher/qt/ProcessLauncherQt.cpp:27:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 55 Antti Koivisto 2010-07-05 06:14:11 PDT
Comment on attachment 60520 [details]
Qt process launcher

r=me

> +    WebProcess::shared().initialize("foo", RunLoop::current());

"foo"?
Comment 56 Kenneth Rohde Christiansen 2010-07-05 06:21:00 PDT
Created attachment 60521 [details]
Qt process launcher for landing
Comment 57 Kenneth Rohde Christiansen 2010-07-05 06:32:52 PDT
Created attachment 60523 [details]
Qt C API integration
Comment 58 Kenneth Rohde Christiansen 2010-07-05 06:35:01 PDT
Created attachment 60524 [details]
Qt C API integration
Comment 59 WebKit Review Bot 2010-07-05 06:35:44 PDT
Attachment 60524 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
WebKit2/UIProcess/Launcher/qt/ProcessLauncherQt.cpp:27:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 60 Kenneth Rohde Christiansen 2010-07-05 06:38:53 PDT
Created attachment 60525 [details]
Qt C API integration
Comment 61 WebKit Review Bot 2010-07-05 06:40:46 PDT
Attachment 60525 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
WebKit2/UIProcess/API/cpp/qt/WKStringQt.cpp:21:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/UIProcess/API/cpp/qt/WKStringQt.cpp:25:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/cpp/qt/WKStringQt.cpp:26:  wtf includes should be <wtf/file.h> instead of "wtf/file.h".  [build/include] [4]
WebKit2/UIProcess/API/cpp/qt/WKURLQt.cpp:21:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/UIProcess/API/cpp/qt/WKURLQt.cpp:25:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/cpp/qt/WKURLQt.cpp:26:  wtf includes should be <wtf/file.h> instead of "wtf/file.h".  [build/include] [4]
Total errors found: 6 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 62 WebKit Commit Bot 2010-07-05 06:41:52 PDT
Comment on attachment 60521 [details]
Qt process launcher for landing

Clearing flags on attachment: 60521

Committed r62485: <http://trac.webkit.org/changeset/62485>
Comment 63 Antti Koivisto 2010-07-05 06:42:58 PDT
Comment on attachment 60525 [details]
Qt C API integration

r=me

WKURLRef WKURLCreateWithQUrl(QUrl qURL);
WKStringRef WKStringCreateWithQString(QString qString);

these should probably use const QUrl& and const QString&
Comment 64 Kenneth Rohde Christiansen 2010-07-05 06:52:35 PDT
Created attachment 60526 [details]
Qt C API integration - for landing
Comment 65 WebKit Commit Bot 2010-07-05 07:07:23 PDT
Comment on attachment 60526 [details]
Qt C API integration - for landing

Clearing flags on attachment: 60526

Committed r62486: <http://trac.webkit.org/changeset/62486>
Comment 66 WebKit Commit Bot 2010-07-05 07:07:37 PDT
All reviewed patches have been landed.  Closing bug.
Comment 67 Kenneth Rohde Christiansen 2010-07-05 07:13:06 PDT
Created attachment 60528 [details]
WebErrors
Comment 68 WebKit Review Bot 2010-07-05 07:14:47 PDT
Attachment 60528 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
WebKit2/WebProcess/WebCoreSupport/qt/WebErrorsQt.cpp:27:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/WebProcess/WebCoreSupport/qt/WebErrorsQt.cpp:32:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 2 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 69 Antti Koivisto 2010-07-05 07:27:54 PDT
Comment on attachment 60528 [details]
WebErrors

r=me
Comment 70 Kenneth Rohde Christiansen 2010-07-05 07:35:51 PDT
Created attachment 60531 [details]
Add stubs
Comment 71 Antti Koivisto 2010-07-05 07:39:37 PDT
Comment on attachment 60531 [details]
Add stubs

r=me
Comment 72 WebKit Review Bot 2010-07-05 07:40:35 PDT
Attachment 60531 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
WebKit2/WebProcess/InjectedBundle/qt/InjectedBundleQt.cpp:26:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/UIProcess/Plugins/qt/PluginInfoStoreQt.cpp:26:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
Total errors found: 2 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 73 Kenneth Rohde Christiansen 2010-07-05 09:33:51 PDT
pending patches
Comment 74 WebKit Commit Bot 2010-07-05 09:54:59 PDT
Comment on attachment 60528 [details]
WebErrors

Clearing flags on attachment: 60528

Committed r62491: <http://trac.webkit.org/changeset/62491>
Comment 75 WebKit Commit Bot 2010-07-05 10:50:48 PDT
Comment on attachment 60531 [details]
Add stubs

Clearing flags on attachment: 60531

Committed r62494: <http://trac.webkit.org/changeset/62494>
Comment 76 WebKit Commit Bot 2010-07-05 10:50:59 PDT
All reviewed patches have been landed.  Closing bug.
Comment 77 Antti Koivisto 2010-07-05 14:59:16 PDT
We are not quite done here yet, I believe.
Comment 78 Eric Seidel (no email) 2010-07-06 03:18:10 PDT
Comment on attachment 60520 [details]
Qt process launcher

Cleared Antti Koivisto's review+ from obsolete attachment 60520 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 79 Eric Seidel (no email) 2010-07-06 03:18:17 PDT
Comment on attachment 60525 [details]
Qt C API integration

Cleared Antti Koivisto's review+ from obsolete attachment 60525 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 80 Antti Koivisto 2010-07-06 04:16:09 PDT
Created attachment 60617 [details]
WebPageQt (r62639)
Comment 81 WebKit Review Bot 2010-07-06 04:18:24 PDT
Attachment 60617 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
WebKit2/WebProcess/WebPage/qt/WebPageQt.cpp:27:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 82 Kenneth Rohde Christiansen 2010-07-06 05:13:48 PDT
Comment on attachment 60617 [details]
WebPageQt (r62639)

#ifndef VK_UNKNOWN
 35 
 36 #define VK_UNKNOWN 0

why a newline between these?
Comment 83 Antti Koivisto 2010-07-07 01:47:05 PDT
WebPageQt: http://trac.webkit.org/changeset/62639
(with less newlines)
Comment 84 Antti Koivisto 2010-07-07 03:13:22 PDT
Created attachment 60713 [details]
Add Qt section to the prefix header
Comment 85 Antti Koivisto 2010-07-07 05:11:37 PDT
Created attachment 60719 [details]
Export some event conversion functions needed for WebKit2
Comment 86 Kenneth Rohde Christiansen 2010-07-07 05:31:55 PDT
Comment on attachment 60713 [details]
Add Qt section to the prefix header

Jesus told me that because we don't include the Logging.h via config.h with --video is not compiling. We might want to include that here.
Comment 87 Kenneth Rohde Christiansen 2010-07-07 05:37:24 PDT
Created attachment 60722 [details]
MiniBrowser
Comment 88 Antti Koivisto 2010-07-07 05:39:46 PDT
Key event function exports: http://trac.webkit.org/changeset/62654
Comment 89 WebKit Review Bot 2010-07-07 05:41:06 PDT
Attachment 60722 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
WebKitTools/MiniBrowser/qt/BrowserWindow.cpp:29:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKitTools/MiniBrowser/qt/BrowserWindow.h:32:  Alphabetical sorting problem.  [build/include_order] [4]
WebKitTools/MiniBrowser/qt/BrowserWindow.h:34:  Alphabetical sorting problem.  [build/include_order] [4]
WebKitTools/MiniBrowser/qt/BrowserWindow.h:35:  Alphabetical sorting problem.  [build/include_order] [4]
WebKitTools/MiniBrowser/qt/main.cpp:28:  Found other header before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKitTools/MiniBrowser/qt/main.cpp:29:  Alphabetical sorting problem.  [build/include_order] [4]
WebKitTools/MiniBrowser/qt/main.cpp:31:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
Total errors found: 7 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 90 Antti Koivisto 2010-07-07 05:44:31 PDT
WebKit2prefix: http://trac.webkit.org/changeset/
Comment 91 Antti Koivisto 2010-07-07 05:46:37 PDT
i mean http://trac.webkit.org/changeset/62655
Comment 92 Antti Koivisto 2010-07-07 05:49:27 PDT
Comment on attachment 60722 [details]
MiniBrowser

r=me
Comment 93 WebKit Commit Bot 2010-07-07 22:33:44 PDT
Comment on attachment 60722 [details]
MiniBrowser

Rejecting patch 60722 from commit-queue.

Found no modified ChangeLogs, cannot create a commit message.
All changes require a ChangeLog.  See:
http://webkit.org/coding/contributing.html
Comment 94 Antti Koivisto 2010-07-08 06:23:12 PDT
Created attachment 60870 [details]
a bunch of minor build fixes
Comment 95 WebKit Review Bot 2010-07-08 06:25:38 PDT
Attachment 60870 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
WebKit2/Shared/qt/WebEventFactoryQt.cpp:27:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/qwkpage.cpp:24:  Alphabetical sorting problem.  [build/include_order] [4]
WebKit2/UIProcess/API/qt/ClientImpl.cpp:20:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
Total errors found: 3 in 8 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 96 Kenneth Rohde Christiansen 2010-07-08 06:42:35 PDT
Comment on attachment 60870 [details]
a bunch of minor build fixes

wooh more upstreaming :-)
Comment 97 Antti Koivisto 2010-07-08 07:49:01 PDT
Comment on attachment 60870 [details]
a bunch of minor build fixes

some build fixes: http://trac.webkit.org/changeset/62788
Comment 98 Adam Barth 2010-07-08 09:35:59 PDT
Looks like that patch really is missing a ChangeLog...
Comment 99 Kenneth Rohde Christiansen 2010-07-08 10:10:31 PDT
Comment on attachment 60870 [details]
a bunch of minor build fixes

+     friend class QGraphicsWKViewtPrivate;

I found a bug here, you are suffixing tPrivate and not Private
Comment 100 Kenneth Rohde Christiansen 2010-07-08 13:59:47 PDT
Created attachment 60952 [details]
MiniBrowser patch for landing
Comment 101 Eric Seidel (no email) 2010-07-09 03:19:41 PDT
Comment on attachment 60722 [details]
MiniBrowser

Cleared Antti Koivisto's review+ from obsolete attachment 60722 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 102 WebKit Commit Bot 2010-07-09 08:39:45 PDT
Comment on attachment 60952 [details]
MiniBrowser patch for landing

Clearing flags on attachment: 60952

Committed r62956: <http://trac.webkit.org/changeset/62956>
Comment 103 WebKit Commit Bot 2010-07-09 08:39:57 PDT
All reviewed patches have been landed.  Closing bug.